Hooks
Get Hook
Retrieve a single hook by ID
GET
/
lending-external-securities
/
api
/
hooks
/
{marketId}
/
{hookId}
curl "https://api.trusset.org/lending-external-securities/api/hooks/{marketId}/{hookId}" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"id": "hook_002",
"marketId": "clx_secmarket_001",
"hookType": "beforeLiquidation",
"name": "Pre-Liquidation Check",
"riskUri": null,
"riskFields": [],
"checkFrequency": null,
"parameterChecks": [
{ "parameter": "healthFactor", "operator": "<", "threshold": "0.95" }
],
"triggerHookIds": [],
"actionType": null,
"maxBuyPrice": null,
"webhookUrl": null,
"webhookPayload": null,
"signerAddress": "0x123...456",
"active": true,
"lastResult": null,
"executionCount": 0,
"createdAt": "2025-06-02T10:15:00.000Z"
}
}
{
"success": false,
"error": {
"code": "HOOK_NOT_FOUND",
"message": "Hook not found"
}
}
Returns one hook record. The hook must belong to the specified market, otherwise the request returns
HOOK_NOT_FOUND.
Path Parameters
string
required
Market ID.
string
required
Hook ID.
curl "https://api.trusset.org/lending-external-securities/api/hooks/{marketId}/{hookId}" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"id": "hook_002",
"marketId": "clx_secmarket_001",
"hookType": "beforeLiquidation",
"name": "Pre-Liquidation Check",
"riskUri": null,
"riskFields": [],
"checkFrequency": null,
"parameterChecks": [
{ "parameter": "healthFactor", "operator": "<", "threshold": "0.95" }
],
"triggerHookIds": [],
"actionType": null,
"maxBuyPrice": null,
"webhookUrl": null,
"webhookPayload": null,
"signerAddress": "0x123...456",
"active": true,
"lastResult": null,
"executionCount": 0,
"createdAt": "2025-06-02T10:15:00.000Z"
}
}
{
"success": false,
"error": {
"code": "HOOK_NOT_FOUND",
"message": "Hook not found"
}
}
⌘I
curl "https://api.trusset.org/lending-external-securities/api/hooks/{marketId}/{hookId}" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"id": "hook_002",
"marketId": "clx_secmarket_001",
"hookType": "beforeLiquidation",
"name": "Pre-Liquidation Check",
"riskUri": null,
"riskFields": [],
"checkFrequency": null,
"parameterChecks": [
{ "parameter": "healthFactor", "operator": "<", "threshold": "0.95" }
],
"triggerHookIds": [],
"actionType": null,
"maxBuyPrice": null,
"webhookUrl": null,
"webhookPayload": null,
"signerAddress": "0x123...456",
"active": true,
"lastResult": null,
"executionCount": 0,
"createdAt": "2025-06-02T10:15:00.000Z"
}
}
{
"success": false,
"error": {
"code": "HOOK_NOT_FOUND",
"message": "Hook not found"
}
}
